[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.DisableIdleHandler

Disables Idle handling.

## Declaration

Source position: forms.pp line 1638

`public procedure TApplication.DisableIdleHandler;`

## Description

Blocks Idle handling by incrementing the internal idle lock counter. Can be called multiple times, but each call must be followed by EnableIdleHandler.

Used in the ShowException method while an exception dialog is active.

## See also

TApplication.EnableIdleHandler |  | Resumes Idle handling.
TApplication.ShowException |  | Shows the message for the specified exception and asks the user to abort or continue.